#!/bin/bash

# SPDX-License-Identifier: Apache-2.0

set -e
mkdir -p tmp

detee-cli vm deploy --hostname k3s-master --vcpus 2 \
  --memory 3000 --disk 20 --location Random --public-ip |
  tail -1 > tmp/master_ssh_command &&
  echo "k3s-master successfully created" &
sleep 1

detee-cli vm deploy --hostname k3s-node-1 --vcpus 2 \
  --memory 3000 --disk 20 --location Random --public-ip |
  tail -1 > tmp/node1_ssh_command &&
  echo "k3s-node-1 successfully created" &
sleep 1

detee-cli vm deploy --hostname k3s-node-2 --vcpus 2 \
  --memory 3000 --disk 20 --location Random --public-ip |
  tail -1 > tmp/node2_ssh_command &&
  echo "k3s-node-2 successfully created" &
sleep 1

detee-cli vm deploy --hostname k3s-node-3 --vcpus 2 \
  --memory 3000 --disk 20 --location Random --public-ip |
  tail -1 > tmp/node3_ssh_command &&
  echo "k3s-node-3 successfully created" &
sleep 1

detee-cli vm deploy --hostname k3s-node-4 --vcpus 2 \
  --memory 3000 --disk 20 --location Random --public-ip |
  tail -1 > tmp/node4_ssh_command &&
  echo "k3s-node-4 successfully created" &

wait


